> For the complete documentation index, see [llms.txt](https://docs.dydx.community/dydx/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.dydx.community/dydx/modules/governance/governance-adjustable-parameters/clob.md).

# CLOB

## Clob Pair

[Clob pair](https://github.com/dydxopsdao/networks/blob/fd7ee6e63e7e4b3ffab4fe600ac7cdb77c28d88d/dydx-mainnet-1/genesis.json#L618-L949) represents a Perpetual, Spot or a given product in the state. Each clob pair has the following parameters:

<table data-header-hidden><thead><tr><th width="318"></th><th></th></tr></thead><tbody><tr><td>Title</td><td>Definitions</td></tr><tr><td><code>id</code></td><td>ID of the orderbook that stores all resting liquidity for this CLOB.</td></tr><tr><td><code>status</code></td><td><p>Status of the CLOB, which could be any of the following:</p><ol><li><code>STATUS_UNSPECIFIED</code>: Default value. This value is invalid and unused.</li><li><code>STATUS_ACTIVE</code>: this represents an active clob pair.</li><li><code>STATUS_PAUSED</code>: this represents a clob pair that is paused until further notice.</li><li><code>STATUS_CANCEL_ONLY</code>: clob pairs in this state only accept cancellations.</li><li><code>STATUS_POST_ONLY</code>: clob pairs in this state only accept orders which are post-only.</li><li><code>STATUS_INITIALIZING</code>: this represents a newly-added clob pair. Clob pairs in this state only accept orders which are both short-term and post-only.</li></ol></td></tr><tr><td><code>perpetual_clob_metadata</code></td><td>Product-specific metadata.</td></tr><tr><td><code>step_base_quantums</code></td><td>Minimum increment in the size of orders on the CLOB, in base quantums.</td></tr><tr><td><code>subticks_per_tick</code></td><td>This parameter defines the tick size of the orderbook by defining how many subticks are in one tick, i.e. the subticks of any valid order must be a multiple of this value.</td></tr><tr><td><code>quantum_conversion_exponent</code></td><td><code>10^Exponent</code> gives the number of QuoteQuantums traded per BaseQuantum per Subtick.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.dydx.community/dydx/modules/governance/governance-adjustable-parameters/clob.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
